Skip to main content
PATCH
Partially update a ticket

Authorizations

Authorization
string
header
required

Workspace API key sent as a bearer token: Authorization: Bearer failfast_.... Create keys in Settings -> Workspace -> API Keys.

Path Parameters

id
string<uuid>
required

A UUID string identifying this ticket.

Body

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

custom_fields
unknown
consecutive_code
string | null
Maximum string length: 30
channel
enum<string>
  • WA - WhatsApp
  • EM - Email
  • PH - Phone
  • WB - Web
Available options:
WA,
EM,
PH,
WB
subject
string
description
string | null
status
enum<string>
  • O - Open
  • IP - In Progress
  • WC - Waiting Customer
  • RE - Resolved
  • CL - Closed
Available options:
O,
IP,
WC,
RE,
CL
priority
enum<string>
  • L - Low
  • M - Medium
  • H - High
  • U - Urgent
Available options:
L,
M,
H,
U
due_at
string<date-time> | null
resolved_at
string<date-time> | null
tags
unknown
stakeholder
string<uuid>
assigned_to_user
string<uuid> | null

Response

200 - application/json
message
string
required

Human-readable outcome of the request.

error
boolean
required

true when the request failed.

Example:

false

data
object
required

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.